<?php
include("CheckSession.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="description" content="馬戲團" />
<title>馬戲團</title>
</head>
<?php

require_once("class/DBConfig.php");
require_once("class/DBOperation.php");

//$AHourExTimes  = $_POST['AHourExTimes'];
//$ADayExTimes   = $_POST['ADayExTimes'];
$ALogTime0_1_1 = $_POST['ALogTime0_1_1'];
if ($ALogTime0_1_1 != null && $ALogTime0_1_1 != "") 
{
    $ALogTime0_1_1 = str_pad($ALogTime0_1_1, 2, "0", STR_PAD_LEFT);
}
$ALogTime0_1_2 = $_POST['ALogTime0_1_2'];
if ($ALogTime0_1_2 != null && $ALogTime0_1_2 != "") 
{
    $ALogTime0_1_2 = str_pad($ALogTime0_1_2, 2, "0", STR_PAD_LEFT);
}
$ALogTime0_2_1 = $_POST['ALogTime0_2_1'];
if ($ALogTime0_2_1 != null && $ALogTime0_2_1 != "") 
{
    $ALogTime0_2_1 = str_pad($ALogTime0_2_1, 2, "0", STR_PAD_LEFT);
}

$ALogTime0_2_2 = $_POST['ALogTime0_2_2'];
if ($ALogTime0_2_2 != null && $ALogTime0_2_2 != "") 
{
    $ALogTime0_2_2 = str_pad($ALogTime0_2_2, 2, "0", STR_PAD_LEFT);
}
$ALogTime1_1_1 = $_POST['ALogTime1_1_1'];
if ($ALogTime1_1_1 != null && $ALogTime1_1_1 != "") 
{
    $ALogTime1_1_1 = str_pad($ALogTime1_1_1, 2, "0", STR_PAD_LEFT);
}
$ALogTime1_1_2 = $_POST['ALogTime1_1_2'];
if ($ALogTime1_1_2 != null && $ALogTime1_1_2 != "") 
{
    $ALogTime1_1_2 = str_pad($ALogTime1_1_2, 2, "0", STR_PAD_LEFT);
}
$ALogTime1_2_1 = $_POST['ALogTime1_2_1'];
if ($ALogTime1_2_1 != null && $ALogTime1_2_1 != "") 
{
    $ALogTime1_2_1 = str_pad($ALogTime1_2_1, 2, "0", STR_PAD_LEFT);
}
$ALogTime1_2_2 = $_POST['ALogTime1_2_2'];
if ($ALogTime1_2_2 != null && $ALogTime1_2_2 != "") 
{
    $ALogTime1_2_2 = str_pad($ALogTime1_2_2, 2, "0", STR_PAD_LEFT);
}
$ALogTime2_1_1 = $_POST['ALogTime2_1_1'];
if ($ALogTime2_1_1 != null && $ALogTime2_1_1 != "") 
{
    $ALogTime2_1_1 = str_pad($ALogTime2_1_1, 2, "0", STR_PAD_LEFT);
}
$ALogTime2_1_2 = $_POST['ALogTime2_1_2'];
if ($ALogTime2_1_2 != null && $ALogTime2_1_2 != "") 
{
    $ALogTime2_1_2 = str_pad($ALogTime2_1_2, 2, "0", STR_PAD_LEFT);
}
$ALogTime2_2_1 = $_POST['ALogTime2_2_1'];
if ($ALogTime2_2_1 != null && $ALogTime2_2_1 != "") 
{
    $ALogTime2_2_1 = str_pad($ALogTime2_2_1, 2, "0", STR_PAD_LEFT);
}
$ALogTime2_2_2 = $_POST['ALogTime2_2_2'];
if ($ALogTime2_2_2 != null && $ALogTime2_2_2 != "") 
{
    $ALogTime2_2_2 = str_pad($ALogTime2_2_2, 2, "0", STR_PAD_LEFT);
}


$ALogTime0 = "";
$ALogTime1 = "";
$ALogTime2 = "";

if ($ALogTime0_1_1 != null && $ALogTime0_1_1 != "") {
 $ALogTime0 = $ALogTime0_1_1 . ":" . $ALogTime0_1_2 . "-" . $ALogTime0_2_1 . ":" . $ALogTime0_2_2;
}
if ($ALogTime1_1_1 != null && $ALogTime1_1_1 != "") {
 $ALogTime1 = $ALogTime1_1_1 . ":" . $ALogTime1_1_2 . "-" . $ALogTime1_2_1 . ":" . $ALogTime1_2_2;
}
if ($ALogTime2_1_1 != null && $ALogTime2_1_1 != "") {
 $ALogTime2 = $ALogTime2_1_1 . ":" . $ALogTime2_1_2 . "-" . $ALogTime2_2_1 . ":" . $ALogTime2_2_2;
}

$ALogTimeStr = $ALogTime0 . ";" . $ALogTime1 . ";" . $ALogTime2;

$db = new DBOperation();
$db->connect_db($_DB['host'], $_DB['username'], $_DB['password'], $_DB['dbname']);
$updateSql = "UPDATE AdminUser set ALogTime = '" . $db->mysql_real_escape_string($ALogTimeStr) . "'";
$db->query($updateSql);
$db->close_db();
	echo '<script type="text/javascript">';
  echo 'alert("更新登入時段限制成功!!!!");';
  echo 'location.href="LoginTimeSetUp.php"';
  echo '</script>';

?>
</html>
